getEIC-methods {xcms} | R Documentation

## Get extracted ion chromatograms for specified m/z ranges

### Description

Generate multiple extracted ion chromatograms for m/z values of interest. For `xcmsSet` objects, reread original raw data and apply precomputed retention time correction, if applicable.

### Arguments

`object` | the `xcmsRaw` or `xcmsSet` object
`mzrange` | either a two column matrix with minimum or maximum m/z or a matrix of any dimensions containing columns `mzmin` and `mzmax` for `xcmsSet` objects, if left blank the group data will be used instead
`rtrange` | a two column matrix the same size as `mzrange` with minimum and maximum retention times between which to return EIC data points for `xcmsSet` objects, it may also be a single number specifying the time window around the peak to return EIC data points
`step` | step size to use for profile generation
`groupidx` | either character vector with names or integer vector with indicies of peak groups for which to get EICs
`sampleidx` | either character vector with names or integer vector with indicies of samples for which to get EICs
`rt` | `"corrected"` for using corrected retention times, or `"raw"` for using raw retention times

### Value

For `xcmsRaw` objects, if `rtrange` is NULL, an intensity matrix with a row for each `mzmin`, `mzmax` pair. Columns correspond to individual scans. If `rtrange` is not NULL, a list of two column (retention time/intensity) matricies, one for each `mzmin`, `mzmax` pair.
For `xcmsSet` objects, an `xcmsEIC` object.

### Methods

object = "xcmsRaw"
  `getEIC(object, mzrange, rtrange = NULL, step = 0.1)`
object = "xcmsSet"
  `getEIC(object, mzrange, rtrange = 200, groupidx, sampleidx = sampnames(object), rt = c("corrected", "raw"))`

### See Also

`xcmsRaw-class`, `xcmsSet-class`, `xcmsEIC-class`

[Package xcms version 1.16.3 Index]